Subject: bug#20024: closed (Re: bug#20024: grub store is not copied to target system)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Mar 2015 12:37:02 +0000

Your bug report

#20024: grub store is not copied to target system

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20024: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20024
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20024: grub store is not copied to target system
From: [email-masked] (Ludovic Courtès)
To: Tomáš Čech <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Mar 2015 13:36:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tomáš Čech <[email-masked]> skribis:

> I take it that my usecase is corner case and I should add grub as system
> package by myself. My goal was to consider providing grub and you have your
> reasons. And it looks like I have too weird setup - separate /boot, LVM,
> bootloader chainloading. I have found my way to workaround it.

Hmm OK.  GuixSD doesn’t support LVM though (although that would be
nice!), so I guess there’s another part of the story that I’m not aware
of.

> Please close the bug.

Done.  Apologies if that discussion frustrated you, I tried hard to
understand and address the issue.

Thanks,
Ludo’.

Subject: grub store is not copied to target system
From: [email-masked]
To: [email-masked]
Date: Sat, 7 Mar 2015 01:01:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With guix at revision df81e046c57e5f767738113e4e7a28b212c03d63 I tried
to deploy Guix to another partition.

Result system installed Grub into partition but did not copied it's
store to /gnu/store/ on target partition.

As a result, no graphics was working (font loading depends on the
store) and no grub reinstallation was possible.

Configuration used:

(use-modules (gnu)
	     (gnu packages bash)
    	     (gnu packages emacs)
    	     (gnu packages enlightenment)
    	     (gnu packages grub)
     	     (gnu packages linux)
	     (gnu packages mc)
       	     (gnu packages wicd)
       	     (gnu packages xorg)
	     (gnu packages dwm)
	     (gnu services ssh)
	     (gnu services dbus)
     	     (gnu services networking)
	     (gnu services xorg))

(operating-system
 (host-name "venom")
 (timezone "Europe/Prague")
 (locale "cs_CZ.utf8")
 (bootloader (grub-configuration
	      (device "/dev/sda")))
 (file-systems (append (list (file-system
			      (device "/dev/sda4") ; or partition label
			      (mount-point "/")
			      (type "ext4"))
;			     (file-system
;			      (device "/dev/venom/home")
;			      (mount-point "/home")
;			      (type "ext4"))
			     )
		     %base-file-systems))
; (swap-devices '("/dev/sda2"))
 (users (list (user-account
	       (name "tcech")
	       (uid 1000) (group "users")
	       (comment "Tomas Cech")
	       (home-directory "/home/tcech"))))
 (packages (append
	    (list emacs lvm2 mc bash xterm slock dwm terminology iw wicd)
	    %base-packages))
 (services (append (list (lsh-service #:port-number 2222 #:root-login? #t)
			 (slim-service)
			 (wicd-service)
			 (dbus-service '()))
		   %base-services))
 (kernel linux-libre)
 )